Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ess
Class ContentIdentifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ess.ContentIdentifier

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class ContentIdentifier
extends ASN1Object

Constructor Summary
`ContentIdentifier(byte[] value)` Create from byte array representing the identifier.

Method Summary
`static ContentIdentifier` | `getInstance(java.lang.Object o)`
`ASN1OctetString` | `getValue()`
`ASN1Primitive` | `toASN1Primitive()` The definition of ContentIdentifier is ContentIdentifier ::= OCTET STRING id-aa-contentIdentifier OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 7 }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentIdentifier

    public ContentIdentifier(byte[] value)

  Create from byte array representing the identifier.

Method Detail

### getInstance

    public static ContentIdentifier getInstance(java.lang.Object o)

### getValue

    public ASN1OctetString getValue()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  The definition of ContentIdentifier is ContentIdentifier ::= OCTET STRING id-aa-contentIdentifier OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 7 }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD